<template>
  <div id="app">
    <div class="app__wrapper mx-auto">
      <div id="nav">
        <router-link to="/">Home</router-link> |
        <router-link to="/about">About</router-link> |
        <router-link to="/post">Post</router-link> |
        <router-link to="/register">Register</router-link>|
        <router-link to="/profile">Profile</router-link>|
        <router-link to="/login">Login</router-link>|


      </div>
      <router-view/>
    </div>
  </div>
</template>

<style>
@tailwind base;
@tailwind components;
@tailwind utilities;

#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

.app__wrapper {
  width: 90%;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
